Repository: tinkerpop
Updated Branches:
  refs/heads/master 74127ca38 -> 668bee371


Log `mvn clean install` install into file and show the last 100 lines in case 
of an error.


Project: http://git-wip-us.apache.org/repos/asf/tinkerpop/repo
Commit: http://git-wip-us.apache.org/repos/asf/tinkerpop/commit/6edca751
Tree: http://git-wip-us.apache.org/repos/asf/tinkerpop/tree/6edca751
Diff: http://git-wip-us.apache.org/repos/asf/tinkerpop/diff/6edca751

Branch: refs/heads/master
Commit: 6edca75100f152b62a79cd1df8fbe20328d9f911
Parents: 84f2d63
Author: Daniel Kuppitz <daniel_kupp...@hotmail.com>
Authored: Thu Jun 16 20:23:20 2016 +0200
Committer: Daniel Kuppitz <daniel_kupp...@hotmail.com>
Committed: Thu Jun 16 20:23:20 2016 +0200

----------------------------------------------------------------------
 bin/validate-distribution.sh | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/tinkerpop/blob/6edca751/bin/validate-distribution.sh
----------------------------------------------------------------------
diff --git a/bin/validate-distribution.sh b/bin/validate-distribution.sh
index fc45401..a6fb927 100755
--- a/bin/validate-distribution.sh
+++ b/bin/validate-distribution.sh
@@ -114,8 +114,17 @@ echo "OK"
 
 if [ "${TYPE}" = "SOURCE" ]; then
 cd ${DIR_NAME}
+LOG_DIR="${DIR_NAME}/target/validate-distribution"
+LOG_FILE="mvn-clean-install.log"
 echo -n "* building project ... "
-mvn clean install 2>&1 > /dev/null || { echo "failed"; exit 1; }
+mkdir -p ${LOG_DIR}
+mvn clean install 2>&1 > "${LOG_DIR}/${LOG_FILE}" || {
+  echo "failed"
+  echo
+  tail -n100 target/validate-distribution/mvn-clean-install.log
+  echo -e "\n\e[1mThe full log file can be inspected under 
${LOG_DIR}/${LOG_FILE}.\e[0m\n"
+  exit 1
+}
 echo "OK"
 exit 0
 fi

Reply via email to